package nl.amis.configuration;

import java.util.HashMap;
import java.util.Map;

/**
 * This class implements the Singleton pattern.
 * There will only be a single instance of this class in the JVM. Anyone can call ConfigurationManager.getConfigurationManager to
 * get hold of that instance.
 */
public class ConfigurationManagerServer {

  Map<String,String> settings = new HashMap();

  public String getSetting(String key) {
      return settings.get(key);
  }
  
  public void setSetting(String key, String value) {
      settings.put(key, value);
  }

  private ConfigurationManagerServer()
  {
  }

  public static ConfigurationManagerServer getConfigurationManagerServer()
  {
    return ref;
  }

  private static ConfigurationManagerServer ref= new ConfigurationManagerServer();
}